## manpages-tr 1.0.5.1

=== Makefile ===
# groff-1.19.1 veya üstü mevcutsa standart kurulum:
# make clean; make; make install
#
# groff-1.18.1 veya üstü ve groff-utf8 mevcutsa:
# make clean; make utf8; make install
#
# deb paketi yapmak için:
# make clean; make deb
#
MANDIR = /usr/share/man/tr
SUBDIRS = source

all: ilc
	@for subdir in $(SUBDIRS); do \
	    (cd $$subdir && $(MAKE) $@) || exit 1; \
	done

utf8: ilc
	@for subdir in $(SUBDIRS); do \
	    (cd $$subdir && $(MAKE) $@) || exit 1; \
	done

clean:
	rm -fR tr/*
	@for subdir in $(SUBDIRS); do \
	    (cd $$subdir && $(MAKE) $@) || exit 1; \
	done
	
debclean: clean
	rm -fR *stamp debian/manpages-tr; \
	rm -f ../manpages-tr_1.0.5*

deb-build:
	@for subdir in $(SUBDIRS); do \
	    (cd $$subdir && $(MAKE) $@) || exit 1; \
	done

# hem paket icinde hem de sistemde varolan dosyalari
# sistemden silelim ve dosyalari kuralim.
install:
	@cd tr; for dir in man?; do \
		if [ -d $$dir ]; then for i in $$dir/*; do \
	    		file=`basename $$i .gz`; \
			rm -f $(MANDIR)/$$dir/$$file \
		      		$(MANDIR)/$$dir/$$i \
		      		$(MANDIR)/$$dir/"$$file".bz2; \
		done; fi; \
		install -d -m 755 $(MANDIR)/"$$dir"; \
		install -m 644 "$$dir"/* $(MANDIR)/"$$dir"; \
	done; cd -;

deb-install:
	cd tr; for i in man?; do \
	    install -d $(DESTDIR)$(MANDIR)/"$$i"; \
	    cp -a "$$i"/* $(DESTDIR)$(MANDIR)/"$$i"; \
	done; cd -;

deb: ilc
	dpkg-buildpackage -rfakeroot -us -uc 

ilc: 
	@LANG=C gcc -Wall -o isutf8 isutf8.c; \
	str=`./isutf8`; if [ $$str != "yes" ]; then \
	    echo "Yerel karakter kodlamasi UTF-8 olmak zorunda"; \
	    exit 1; \
	fi

=== source/Makefile ===
#tr
SUBDIRS = tr
all:
	./manderle.sh

utf8:	
	./manderle.sh --utf8

clean:
	@for subdir in $(SUBDIRS); do \
	    (cd $$subdir && $(MAKE) $@) || exit 1; \
	done

deb:	
	./manderle.sh --debianize

deb-build: deb
	@for subdir in $(SUBDIRS); do \
	    (cd $$subdir && $(MAKE) $@) || exit 1; \
	done

=== source/tr/Makefile ===
mandirs := 1 2 3 4 5 6 7 8

clean:
	@for i in $(mandirs); do \
	    if [ -d man$$i ]; then rm -fR man$$i; fi; \
	done
	

deb-build:
	./linkata.sh

## manpages-tr 2.0.5

=== Makefile ===
# standart kurulum:
# make clean; make; make install
#

MANDIR = /usr/share/man/tr


all: ilc
	./prepare.sh;

# hem paket içinde hem de sistemde varolan dosyaları
# sistemden silelim ve dosyaları kuralım.
install: ilc
	@cd tr; for dir in man?; do \
		if [ -d $$dir ]; then for i in $$dir/*; do \
	    		file=`basename $$i .gz`; \
			rm -f $(MANDIR)/$$dir/$$file \
		      		$(MANDIR)/$$i \
		      		$(MANDIR)/$$dir/"$$file".bz2; \
		done; fi; \
		install -d -m 755 $(MANDIR)/"$$dir"; \
		cp -a "$$dir"/* $(MANDIR)/"$$dir"; \
	done; cd -;

# hem paket içinde hem de sistemde varolan dosyaları
# sistemden silelim.
uninstall:
	@cd tr; for dir in man?; do \
		if [ -d $$dir ]; then for i in $$dir/*; do \
			rm -f $(MANDIR)/$$i; \
		done; fi; \
	done; cd -;

ilc:
	@str=`./isutf8`; if [ $$str != "yes" ]; then \
	    echo "Yerel karakter kodlamasi UTF-8 olmak zorunda"; \
	    exit 1; \
	fi

clean:
	rm -rf tr

debclean: clean
	debclean

deb-build: all

deb-install:
	cd tr; for i in man?; do \
	    install -d $(DESTDIR)$(MANDIR)/"$$i"; \
	    cp -a "$$i"/* $(DESTDIR)$(MANDIR)/"$$i"; \
	done; cd -;

deb: ilc
	debuild

=== debian/changelog ===
manpages-tr (2.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nilgün Belma Bugüner (TLBP) <nilgun@tlbp.org.tr>  Sat, 21 Jan 2023 18:56:59 +0300

manpages-tr (1.0.5) unstable; urgency=low

  * New upstream version.
  * debian/manpages-tr.prune: Update prune list to avoid installing
    duplicate man pages. Closes: #330579

 -- Murat Demirten <murat@debian.org>  Mon, 21 Apr 2008 13:49:20 +0300

manpages-tr (1.0.2+cvs20040401-1) unstable; urgency=low

  * Initial Release.

 -- Murat Demirten <murat@debian.org>  Thu, 1 Apr 2004 01:04:50 +0100

=== debian/control ===
Source: manpages-tr
Section: doc
Priority: optional
Maintainer: Nilgün Belma Bugüner (TLBP) <nilgun@tlbp.org.tr>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: http://tlbp.org.tr/man/
Vcs-Browser: https://salsa.debian.org/nbb/manpages-tr
Vcs-Git: https://salsa.debian.org/nbb/manpages-tr.git
Rules-Requires-Root: no

Package: manpages-tr
Architecture: all
Depends: ${misc:Depends}
Description: Turkish version of the manual pages
 This package contains the Linux manual pages translated into Turkish.
 The following sections are included:
  * 1 = User programs (e.g. ls, ln)
  * 2 = Linux system calls (e.g. exit, fork, open)
  * 3 = Library functions (e.g. malloc, printf)
  * 4 = Devices (e.g. hd, sd).
  * 5 = File formats and protocols, syntaxes of several system
        files (e.g. wtmp, /etc/passwd, nfs).
  * 6 = Games etc.
  * 7 = Conventions and standards, macro packages, etc.
        (e.g. nroff, ascii).
  * 8 = System administration commands.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) -f Makefile deb-install MANDIR=$(CURDIR)/debian/manpages-tr/usr/share/man/tr
	grep -v '^#' debian/manpages-tr.prune | while read exists crap; do \
		exists=`echo "$$exists" | \
			sed -e 's,usr/share/man/tr\.[^/]\+,usr/share/man/tr,'`;\
			rm -f `pwd`/debian/manpages-tr/"$$exists".gz; \
		done

## manpages-tr 2.0.6

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,8 @@
 debclean: clean
 	debclean
 
-deb-build: all
+deb-build:
+	./prepare.sh;
 
 deb-install:
 	cd tr; for i in man?; do \
@@ -51,6 +52,6 @@
 	    cp -a "$$i"/* $(DESTDIR)$(MANDIR)/"$$i"; \
 	done; cd -;
 
-deb: ilc
+deb:
 	debuild

=== debian/changelog ===
manpages-tr (2.0.6-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Murat Demirten <murat@debian.org>  Sat, 28 Jan 2023 09:58:15 +0300

manpages-tr (2.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Upgraded to version 3.0 source format (Closes: #1007058)

 -- Murat Demirten <murat@debian.org>  Fri, 27 Jan 2023 17:08:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: manpages-tr
 Section: doc
 Priority: optional
-Maintainer: Nilgün Belma Bugüner (TLBP) <nilgun@tlbp.org.tr>
+Maintainer: Murat Demirten <murat@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: http://tlbp.org.tr/man/
-Vcs-Browser: https://salsa.debian.org/nbb/manpages-tr
-Vcs-Git: https://salsa.debian.org/nbb/manpages-tr.git
 Rules-Requires-Root: no
 
 Package: manpages-tr
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Turkish version of the manual pages
  This package contains the Linux manual pages translated into Turkish.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,11 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	$(MAKE) deb-build
+
 override_dh_auto_install:
-	$(MAKE) -f Makefile deb-install MANDIR=$(CURDIR)/debian/manpages-tr/usr/share/man/tr
+	$(MAKE) deb-install MANDIR=$(CURDIR)/debian/manpages-tr/usr/share/man/tr
 	grep -v '^#' debian/manpages-tr.prune | while read exists crap; do \
 		exists=`echo "$$exists" | \
 			sed -e 's,usr/share/man/tr\.[^/]\+,usr/share/man/tr,'`;\
